function cal = pp_cpp(CH)

%CAL = PP_CPP(CH)
%   Return noise injection data
%   If CH specifies two channels, the average is returned.
%   9-Nov-1999 Jm. 

%{
    global GUP d_data
    
    adr = GUP.c1sa(CH(1)) + GUP.cpp;                        
    cal = real(d_data(adr));
    if length(CH) == 2,
         cal = 0.5*( cal + pp_cpp(CH(2)) ); 
    elseif length(CH) > 2
        error('max 2 channels allowed');         
    end        
%}pp_cpp    

