function pp_generic_geom(ExpName,WinTitle)

%pp_generic_geom - Create and customize pp_generic figure window.
%   PP_GENERIC_GEOM(EXPNAME,WINTITLE)
%
%   Note that no menus are created here. 
%
%   See also pp_generic_init.m, pp_axis.m
%
% 1-Dec-1999 Jm

    global  pp_FIGpos rtg_FIGhandle   

    rtg_FIGhandle(2) = figure;  
    
    colordef(rtg_FIGhandle(2),'black');
    set(rtg_FIGhandle(2),'color',[0.5 0.5 0.5]);

    % Define window geometry :

    pp_FIGpos = [0.40 0.48 0.55 0.42];

    set(gcf,'units','normalized');
    set(gcf,'pos',pp_FIGpos);
    set(gcf,'units','pixels');
    set(gcf,'numbertitle','off');
    set(gcf,'menubar','none');
    set(gcf,'Renderermode','manual');   
    set(gcf,'Renderer','zbuffer');   

    nametxt = WinTitle;
    set(gcf,'name',nametxt);

    % Create empty user plot header axis

    h = pp_axis(0,'create');

    % Create empty user plot data axis

    h = pp_axis(1,'create');
