function yes = pp_isac(RMB)

%YES = PP_ISAC(RMB)
%
% Return 1 if the RMB is of altcode type, as defined in rtg_CHANNEL,
% else return 0.
%
% 19-Nov-1999 Jm
 
    global rtg_CHANNELS
 
    yes = [];
    for k = 1:length(rtg_CHANNELS)
        if isequal(rtg_CHANNELS(k).RMB, RMB)
            yes = (rtg_CHANNELS(k).isLP == 0);
            break;
        end
    end
    if isempty(yes)
        error('Illegal RMB');
    end
