function pp_sp_meshplot(Z,Range,X,Xlbl) 

%PP_SP_MESHPLOT(Z,RANGE,X,XLBL)
%
%   3-Dec-1999 Jm 

%{--------------------------------------------------------------------

    global ELEV

    if nargin == 3
        Xlbl = '';
    elseif nargin < 3 | nargin > 4
        error('Wrong number of input arguments');
    end                        

    ncolors = ppopt_acfcmaplen;
    view = [10 70];

    if ppopt_altitude
        y = range2alt(Range,ELEV);
        ylbl = 'Altitude [km]';
    else 
        y = Range;
        ylbl = 'Range [km]';
    end 

%    mesh(X, y, Z' ); 
    waterfall(X, y, Z' ); 
    set(gca,'ZGrid','off', ...
            'YGrid','off');

    if ppopt_grayimages
         colormap(gray(ncolors));
         map = colormap;
         colormap(flipud(map));
    else    
        colormap(jet(ncolors));
    end 

    xlabel(Xlbl);
    ylabel(ylbl);
    set(gca,'view',view);
    pp_zoomcheck('tight');
    
%}pp_spe_meshplot

