function pp_generic_geom

    rtg_FIGhandle(2) = figure;  
    
    colordef(rtg_FIGhandle(2),'black');
    set(rtg_FIGhandle(2),'color',[0.5 0.5 0.5]);

    % Define window and menu geometry :

    pp_FIGpos = [0.40 0.48 0.55 0.42];

    set(gcf,'units','normalized');
    set(gcf,'pos',pp_FIGpos);
    set(gcf,'units','pixels');
    set(gcf,'numbertitle','off');
    set(gcf,'menubar','none');
    set(gcf,'Renderermode','manual');   
    set(gcf,'Renderer','zbuffer');   

    cmd = sprintf('set(gcf,''name'','' %s - %s'')',USERPLOT_FUNC,ExpName);
    eval(cmd);
    drawnow;

    w    = 0.25;
    pch  = [0 0.94 w 0.06];   %[x y dx dy]

    if isempty(rtg_CHANNELS2)
        pmo  = [w 0.94 w 0.06];
    else    
        pch2 = [w 0.94 w 0.06];
        pmo  = [2*w 0.94 w 0.06];
    end

    % Create user plot header axis, to the given position

    phd = [0.20 0.77 0.75 0.14];
    rtg_USERHDR = axes('position',phd);
    
    h=text(0.5, 0.5, ['pp\_generic for ' ExpName]);
    set(h,'HorizontalAlignment','center');
    set(h,'fontsize',12);
    set(h,'color','k');

    set(rtg_USERHDR,'xtick',[]);
    set(rtg_USERHDR,'ytick',[]);
    set(rtg_USERHDR,'box','on');
    set(rtg_USERHDR,'color',[1 1 0.8]); 
    set(rtg_USERHDR,'color',[1 1 1]); 
    set(rtg_USERHDR,'Tag','userheader');

    % Create user plot data axis, to the given position

    pax = [0.10 0.10 0.85 0.64];
    rtg_USERFIG = axes('position',pax);
    set(rtg_USERFIG,'Tag','userplot');

    set(rtg_USERFIG,'box','on');
    set(rtg_USERFIG,'xtick',[]);
    set(rtg_USERFIG,'ytick',[]);
    set(rtg_USERFIG,'xtick',[]);
    set(rtg_USERFIG,'ytick',[]);

