function x = pp_xdef(Action)

%X = PP_XDEF(ACTION)
%
%   See also xdef.m
%
% 13-Nov-1999 Jm
% 29-Feb-2000 Jm: Version 2.2: .guporder added, defaults to 0.

    version = 2.2;

    if nargin ~= 1
        error('wrong number of input arguments')
    end        

    if strcmp(Action,'new')
        x = new; x.vs = version;
    else
        error('illegal input parameter')
    end        

%}pp_xdef


function x = new
%---------------

    x.vs            = [];
    x.ACbaud        = [];
    x.AClags        = [];
    x.ACmodes       = [];
    x.ACnbits       = [];
    x.Fs 	    = [];       % (Final) sampling freq in Hz
    x.LPlags        = [];
    x.LPlen         = [];
    x.LPmodes       = []; 					
    x.Lagweight     = [];
    x.Ncycles	    = [];	  
    x.Nfract        = [];	   
    x.Nkill	    = [];	   
    x.Nsamples      = [];
    X.Rep           = [];
    x.RMBlist       = [];
    x.Sysconst      = 1;
    x.Tau           = [];       % (Final) sampling interval in s
    x.Totdecim      = [];
    x.acfmodes      = [];       % List of MODEs requiring ACF computations
    x.b1sa          = [];
    x.b1sa          = [];
    x.b2sa          = [];
    x.blen          = [];
    x.blen          = [];
    x.bsubmodes     = [];       % List of SP/ACF MODES to do BGR subtraction
    x.c1sa          = [];
    x.c2sa          = [];
    x.clen          = [];
    x.cpp           = [];
    x.csamples      = [];
    x.dr            = [];
    x.f             = [];
    x.fg            = [];
    x.gkill         = [];
    x.guporder      =  0;       % If 1, there is guisdap conforming number of profiles
    x.ltype         = {};
    x.pairto        = {};
    x.pp            = [];
    x.proflen       = {};       % Lengths of profiles
    x.profrange     = {};       % Start ranges of profiles, for all channels
    x.profsa        = {};       % Start addr of profiles, relative to channel
    x.r0            = [];
    x.sbweight      =  1;
    x.slen          = [];
    x.snoise        =  0;
    x.spemodes      = [];       % list of MODEs requiring SP computations
    x.ssa           = [];       % signal data start address, for all channels
    x.tlen          = [];
    x.tpp           = [];
    x.tsa           = [];
    x.txsamples     = [];
    x.weight        = [];    
    x.ylen          = [];
    x.ysa           = [];

    return    
