function color = ppopt_gatecolor(gatenumber)

%PPOPT_GATECOLOR Get color for the n'th line in a (acf/sp) lineplot.
%   COLOR = PPOPT_GATECOLOR(LINENUMBER)
% 
%   If GATENUMBER is a vector, COLOR is a cell array of strings.
%
%   3-Dec-1999 Jm

    global pp_OPT
    
    g = 1 + rem(gatenumber-1,length(pp_OPT.gatecolor));
    
    if length(gatenumber) > 1
        for k = 1:length(gatenumber);
            color{k} = pp_OPT.gatecolor{g(k)};
        end            
        color = reshape(color,size(gatenumber));
    else
        color = pp_OPT.gatecolor{g};
    end                

