function pp_acf_lineplot(ACF,Lag,Range,Color)

%PP_ACF_LINEPLOT(ACF,LAG,RANGE,COLOR)
%
%   3-Dec-1999 Jm

%{----------------------------------------------------------------------

    if nargin ~= 4
        error('Wrong number of input arguments');
    end         

    global ELEV

    oldhold = ishold;
    ngates = size(ACF,2);

    if ppopt_altitude
        Range = range2alt(Range,ELEV);
    end
    
    if ngates == 1
        h = plot(Lag, real(ACF), [Color{1} '-o'], ...
               Lag, imag(ACF), [Color{2} '-o'] );
    else
        for k = 1:ngates
            c = ppopt_gatecolor(k);
            h = plot( Lag,real(ACF(:,k)), [c '-']);
            hold on
        end
    end
    if ~oldhold, hold off, end    
    xax;    
    xlabel('\musec');     

    if ngates > 1 & ngates <= 5
        for k = 1:length(Range)
            s{k} = sprintf('%1.0f',Range(k));
        end
        legend(char(s));
    end                    
 
%}pp_acf_lineplot

