function pp_generic_init(ExpName,PPexp)

%PP_GENERIC_INIT(EXPNAME,WINDOWTITLE)
%
%
%   12-Dec-1999 Jm

%{
    if nargin == 1
        wintitle = ExpName;
    elseif nargin == 2
        wintitle = PPexp;
    else
        error('wrong number of input arguments')
    end                                    

    global ...
        XDEFNAME        ... 
        pp_OPT          ... 
        rtg_CHANNELS    ... 
        rtg_CHANNELS2   ... 
        rtg_FIGhandle   ... 
        rtg_MODES      

    rtg_MODES       = [];
    rtg_CHANNELS    = []; 
    rtg_CHANNEL2S   = []; 
    pp_OPT          = [];
    
    % Initialize pp_generic error handling

    pperr('');
    
    % Call the XDEF, with parameter 'init', to get menus.
    % (The xdef name is found by query to the calling PPEXP.)

    xdefname = feval(PPexp,'call','xdefname');

    if ~isempty(xdefname)
        if exist(xdefname) == 2
            XDEFNAME = xdefname;
            feval(XDEFNAME,'init');
        else
            pperr(sprintf('xdef %s not found\n',xdefname));
            return;
        end        
    end

    % Set default values of pp_OPT, etc.
       
    pp_config_default(ExpName);

    % Allow user-specific customization
    
    if exist('pp_config') == 2,
        pp_config('init',ExpName,'');
    end
    
    % Create pp_generic window

    pp_generic_geom(ExpName,wintitle);

    % Create fixed menus (File,View, etc...)

    pp_gui('fixedmu');

    % Create first channel popup menu  - this selects the "primary" data

    w    = 0.25;
    pch  = [0 0.94 w 0.06];   %[x y dx dy]

    if isempty(rtg_CHANNELS2)
        pmo  = [w 0.94 w 0.06];
    else    
        pch2 = [w 0.94 w 0.06];
        pmo  = [2*w 0.94 w 0.06];
    end

    x = 0; 
    if ~isempty(rtg_CHANNELS) 
        P.x = x; P.pos = pch; P.fig = rtg_FIGhandle(2);
        x = pp_gui('channelmu',P);
    end;        

    % Create second channel popup menu - this selects the "secondary" data

    if ~isempty(rtg_CHANNELS2) 
        P.x = x; P.pos = pch2; P.fig = rtg_FIGhandle(2);
        x = pp_gui('channelmu2',P);
    end    

    % Create mode popup menu - this selects the operation to be done on the data  

    if ~isempty(rtg_MODES) 
        global MODE
        P.x = x; P.pos = pmo; P.fig = rtg_FIGhandle(2);
        P.list = rtg_MODES; P.mode = MODE;
        x = pp_gui('modemu',P);
    end    

    return
%}pp_generic_init
