function yes = pp_islp(RMB)

%YES = PP_ISLP(RMB)
%
% Return 1 if the RMB is of longpulse type, as defined in rtg_CHANNEL,
% else return 0.
%
% 19-Nov-1999 Jm

    global rtg_CHANNELS
 
    yes = [];
    for k = 1:length(rtg_CHANNELS)
        if isequal(rtg_CHANNELS(k).RMB, RMB)
            yes = (rtg_CHANNELS(k).isLP ~= 0);
            break;
        end
    end
    if isempty(yes)
        error('Illegal RMB');
    end
