function Lag = pp_lix2lag(Lix,Rmb)

%LAG = PP_LIX2LAG(LIX,RMB)
%
%   Lag index to lag value conversion for ESR "GUP" experiments.
%
%   See also ac_lix2lag.m
%
%   9-Nov-1999 Jm

    global GUP
    
    if pp_isac(Rmb)    
        maxilag = GUP.AClags(end);
        nfract = GUP.Nfract;
        tau = GUP.Tau * 1.e6;
        Lag = ac_lix2lag(Lix,maxilag,nfract,tau);
    else
        Lag = (Lix-1)*GUP.Tau*1e6;
    end
    
            
        
