function [z,t] = pp_tx(rmb)

%[Z,T] = PP_TX(RMB)
%
%   30-Aug-2002 Jm: Allow for the possibility of TX samples 
%                   being in d_raw.
%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    global GUP d_data d_raw

    if GUP.txsamples
        atx = 1:GUP.tlen(rmb);
        a = GUP.tsa(rmb) + atx;
        if ~isempty(d_raw)
            z = d_raw(a);
        else
            z = d_data(a);
        end
        t = (atx-1)*GUP.Tau*1e6;
    else
        z = [];
        t = [];
        pperr('TX samples not available')
        return
    end        

